## ros-indigo-rostest 1.11.21

=== debian/changelog ===
ros-indigo-rostest (1.11.21-0trusty) trusty; urgency=high

  * fix test type handling (#722 <https://github.com/ros/ros_comm/issues/722>)
  * add_rostest_gtest does now add the created gtest-target as a dependeny to the created rostest (#830 <https://github.com/ros/ros_comm/pull/830>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Mar 2017 08:00:00 -0000

ros-indigo-rostest (1.11.20-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jun 2016 07:00:00 -0000

ros-indigo-rostest (1.11.19-0trusty) trusty; urgency=high

  * fix passing multiple args to add_rostest (fix #790 <https://github.com/ros/ros_comm/issues/790>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-indigo-rostest (1.11.18-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-indigo-rostest (1.11.17-0trusty) trusty; urgency=high

  * rostest.rosrun now generates coverage reports (#558 <https://github.com/ros/ros_comm/issues/558>)
  * rostest can load tests from a dotted name (#722 <https://github.com/ros/ros_comm/issues/722>)
  * include GTEST_INCLUDE_DIRS so that the proper gtest headers are found (#727 <https://github.com/ros/ros_comm/issues/727>)
  * rostest: move replacement of slashes after ARGS handling (#721 <https://github.com/ros/ros_comm/pull/721>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-indigo-rostest (1.11.16-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-indigo-rostest (1.11.15-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-indigo-rostest (1.11.14-0trusty) trusty; urgency=high

  * add --local option to rostest (#137 <https://github.com/ros/ros_comm/issues/137>)
  * fix location of rosunit result files generated by rostests (#668 <https://github.com/ros/ros_comm/pull/668>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-indigo-rostest (1.11.13-0trusty) trusty; urgency=high

  * fix location of rostest result files (#611 <https://github.com/ros/ros_comm/issues/611>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-indigo-rostest (1.11.12-0trusty) trusty; urgency=high

  * fix location of rostest result files (#82 <https://github.com/ros/ros/pull/82>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-indigo-rostest (1.11.11-0trusty) trusty; urgency=high

  * add DEPENDENCIES option to CMake function add_rostest (#546 <https://github.com/ros/ros_comm/issues/546>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-indigo-rostest (1.11.10-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-indigo-rostest (1.11.9-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-indigo-rostest (1.11.8-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-indigo-rostest (1.11.7-0trusty) trusty; urgency=high

  * make rostest use a random master port and run rostests in parallel (#468 <https://github.com/ros/ros_comm/issues/468>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-indigo-rostest (1.11.6-0trusty) trusty; urgency=high

  * resolving naming conflicts when multiple test are added with arguments (#462 <https://github.com/ros/ros_comm/issues/462>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-indigo-rostest (1.11.5-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-indigo-rostest (1.11.4-0trusty) trusty; urgency=high

  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-indigo-rostest (1.11.3-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-indigo-rostest (1.11.2-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-indigo-rostest (1.11.1-0trusty) trusty; urgency=high

  * add architecture_independent flag in package.xml (#391 <https://github.com/ros/ros_comm/issues/391>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-rostest (1.11.0-0trusty) trusty; urgency=high

  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-indigo-rostest (1.10.0-0trusty) trusty; urgency=high

  * modify rostest to wait when other instances are running

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-indigo-rostest (1.9.54-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 08:00:00 -0000

ros-indigo-rostest (1.9.53-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 08:00:00 -0000

ros-indigo-rostest (1.9.52-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-indigo-rostest (1.9.51-0trusty) trusty; urgency=high

  * add missing boost component

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-indigo-rostest (1.9.50-0trusty) trusty; urgency=high

  * fix result file naming for wet rostests when being built in-source (ros/catkin#512 <https://github.com/ros/catkin/issues/512>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-indigo-rostest (1.9.49-0trusty) trusty; urgency=high




